AhaSend Go SDK
package main
import (
"context"
"fmt"
"log"
"github.com/AhaSend/ahasend-go/api"
"github.com/google/uuid"
)
func main() {
// Create API client with authentication
client := api.NewAPIClient(
api.WithAPIKey("aha-sk-your-64-character-key"),
)
accountID := uuid.New()
// Create context for the API call
ctx := context.Background()
response, httpResp, err := client.MessagesAPI.CancelMessage(
ctx,
accountID,
"<uuid@example.com>",
)
if err != nil {
log.Fatalf("Error canceling message: %v", err)
}
// Check response
if httpResp.StatusCode == 200 {
fmt.Printf("✅ Successfully canceled! Status: %d\n", httpResp.StatusCode)
if response != nil {
fmt.Printf("Message canceled: %s\n", response.Message)
}
} else {
fmt.Printf("❌ Unexpected status code: %d\n", httpResp.StatusCode)
}
}curl --request DELETE \
--url https://api.ahasend.com/v2/accounts/{account_id}/messages/{message_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ahasend.com/v2/accounts/{account_id}/messages/{message_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ahasend.com/v2/accounts/{account_id}/messages/{message_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Operation completed successfully"
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}Messages
Cancel Message
Cancels a scheduled message
DELETE
/
v2
/
accounts
/
{account_id}
/
messages
/
{message_id}
/
cancel
AhaSend Go SDK
package main
import (
"context"
"fmt"
"log"
"github.com/AhaSend/ahasend-go/api"
"github.com/google/uuid"
)
func main() {
// Create API client with authentication
client := api.NewAPIClient(
api.WithAPIKey("aha-sk-your-64-character-key"),
)
accountID := uuid.New()
// Create context for the API call
ctx := context.Background()
response, httpResp, err := client.MessagesAPI.CancelMessage(
ctx,
accountID,
"<uuid@example.com>",
)
if err != nil {
log.Fatalf("Error canceling message: %v", err)
}
// Check response
if httpResp.StatusCode == 200 {
fmt.Printf("✅ Successfully canceled! Status: %d\n", httpResp.StatusCode)
if response != nil {
fmt.Printf("Message canceled: %s\n", response.Message)
}
} else {
fmt.Printf("❌ Unexpected status code: %d\n", httpResp.StatusCode)
}
}Authorizations
API key for authentication
Path Parameters
Account ID
Message API ID. Accepts the generated Message-ID returned by Create Message API, for example <uuid@example.com>, or the bare UUID portion.
Response
Scheduled message is cancelled
Success message
⌘I

